Issues installing ServiceNow Orchestration Activity Pack Skip to main content
https://support.okta.com/help/answers?id=9060z00000078lvqay&refurl=http%3a%2f%2fsupport.okta.com%2fhelp%2fanswers
How satisfied are you with the Okta Help Center?
Thank you for your feedback!
How satisfied are you with the Okta Help Center?
1
2
3
4
5
Very Dissatisfied
Very satisfied
Enter content less than 200 characters.
Ask Search:
Scott BakerScott Baker 

Issues installing ServiceNow Orchestration Activity Pack

I'm attempting to install the Okta Orchestration Activity Pack in ServiceNow and receiving the following error:

Aborting upgrade of application: Okta Orchestration Activity Pack, application depends on other applications which are not accessible at app store: x_okta2_api_layer:1.1.025

Has anyone else ever run across this?  I have the Cloud API installed from the store, so I'm not sure why I'm getting this.  I've also opened an incident with ServiceNow, but I figured I'd post here as well and see if anyone had any experience with this.  Thanks!
Best Answer chosen by Scott Baker
Bogdan AndrisanBogdan Andrisan (Okta, Inc.)

Hello Scott,

This implies that a specific dependency is missing on the ServiceNow side, let's check if they can provide any insight as it might not have been enabled for some reason with the Cloud API installation.

Once ServiceNow gives their input on the configuration, if you have any further questions, please feel free to open a support ticket with us.

Thank you,
Bogdan Andrisan
Technical Support Engineer
Okta Customer Support

All Answers

Bogdan AndrisanBogdan Andrisan (Okta, Inc.)

Hello Scott,

This implies that a specific dependency is missing on the ServiceNow side, let's check if they can provide any insight as it might not have been enabled for some reason with the Cloud API installation.

Once ServiceNow gives their input on the configuration, if you have any further questions, please feel free to open a support ticket with us.

Thank you,
Bogdan Andrisan
Technical Support Engineer
Okta Customer Support

This was selected as the best answer
Matt EganMatt Egan (Okta, Inc.)
Hi Scott,

You'll want to ensure that you upgrade to the latest Okta Identity Cloud API Access (https://store.servicenow.com/sn_appstore_store.do#!/store/application/b3307c6b0f137a0047b38ecce1050ea5/1.2.02) application (latest release is 1.2.02) before trying to upgrade to Orchestration activity pack version 2.0.

-Matt
Scott BakerScott Baker
ServiceNow's App Store team updated the dependencies for the Okta Orchestration Activity Pack and I was able to install it.  Hopefuly this resolves it going forward for anyone else who was having this issue.